> ## Documentation Index
> Fetch the complete documentation index at: https://docs.julep.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Docs



## OpenAPI

````yaml https://api.julep.ai/api/openapi.json get /agents/{agent_id}/docs
openapi: 3.1.0
info:
  title: Julep Agents API
  description: API for Julep Agents
  termsOfService: https://www.julep.ai/terms
  contact:
    name: Julep
    url: https://www.julep.ai/
    email: developers@julep.ai
  version: 0.4.0
servers:
  - url: /api
security: []
paths:
  /agents/{agent_id}/docs:
    get:
      tags:
        - docs
      summary: List Agent Docs
      operationId: list_agent_docs_agents__agent_id__docs_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
        - name: sort_by
          in: query
          required: false
          schema:
            enum:
              - created_at
              - updated_at
            type: string
            default: created_at
            title: Sort By
        - name: direction
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Direction
        - name: include_embeddings
          in: query
          required: false
          schema:
            type: boolean
            title: Include Embeddings
            default: true
        - name: metadata_filter
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/MetadataFilter'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponse_Doc_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    MetadataFilter:
      properties: {}
      additionalProperties: true
      type: object
      title: MetadataFilter
    ListResponse_Doc_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Doc'
          type: array
          title: Items
      type: object
      required:
        - items
      title: ListResponse[Doc]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Doc:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          readOnly: true
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
        created_at:
          type: string
          format: date-time
          title: Created At
          readOnly: true
        title:
          type: string
          maxLength: 800
          title: Title
        content:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Content
        embeddings:
          anyOf:
            - items:
                type: number
              type: array
            - items:
                items:
                  type: number
                type: array
              type: array
            - type: 'null'
          title: Embeddings
          readOnly: true
        modality:
          anyOf:
            - type: string
            - type: 'null'
          title: Modality
          readOnly: true
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
          readOnly: true
        embedding_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Embedding Model
          readOnly: true
        embedding_dimensions:
          anyOf:
            - type: integer
            - type: 'null'
          title: Embedding Dimensions
          readOnly: true
      type: object
      required:
        - id
        - created_at
        - title
        - content
      title: Doc
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````